Package org.opensaml.profile.action

# Class EventIds

java.lang.Object
org.opensaml.profile.action.EventIds

public final class EventIds extends Object
Constants to use for `ProfileAction` `EventContext`s.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCESS_DENIED`
ID of event returned if an authorization failure occurs.
`static final String`
`INVALID_MESSAGE`
ID of the event returned if a message is invalid in some general way.
`static final String`
`INVALID_MESSAGE_VERSION`
ID of the event returned if a message version is incorrect or unsupported.
`static final String`
`INVALID_MSG_CTX`
ID of the event returned if a `MessageContext` is missing or corrupt in some way.
`static final String`
`INVALID_PROFILE_CTX`
ID of event returned if the `ProfileRequestContext` associated with the current request is missing or corrupt in some way.
`static final String`
`INVALID_SEC_CFG`
ID of event returned if an error occurs with security configuration.
`static final String`
`IO_ERROR`
ID of event returned if an I/O-related error occurs.
`static final String`
`MESSAGE_AUTHN_ERROR`
ID of the event returned if a message can't be authenticated.
`static final String`
`MESSAGE_EXPIRED`
ID of the event returned if a message is stale.
`static final String`
`MESSAGE_PROC_ERROR`
ID of the event returned if the preparation of an outbound message fails in some way.
`static final String`
`MESSAGE_REPLAY`
ID of the event returned if a message is replayed.
`static final String`
`PROCEED_EVENT_ID`
ID of an Event indicating that an action completed successfully and processing should move on to the next step.
`static final String`
`RUNTIME_EXCEPTION`
ID of the event returned if a runtime exception is caught.
`static final String`
`UNABLE_TO_DECODE`
ID of the event returned if a `MessageDecoder` is unable to decode a message.
`static final String`
`UNABLE_TO_ENCODE`
ID of the event returned if a `MessageEncoder` is unable to encode a message.
`static final String`
`UNABLE_TO_ENCRYPT`
ID of the event returned if encryption of an object/data fails.
`static final String`
`UNABLE_TO_SIGN`
ID of the event returned if creation of a signature fails.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`EventIds()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ACCESS_DENIED

@Nonnull @NotEmpty public static final String ACCESS_DENIED
ID of event returned if an authorization failure occurs.

See Also:
  - Constant Field Values

### INVALID_PROFILE_CTX

@Nonnull @NotEmpty public static final String INVALID_PROFILE_CTX
ID of event returned if the `ProfileRequestContext` associated with the current request is missing or corrupt in some way.

See Also:
  - Constant Field Values

### INVALID_MSG_CTX

@Nonnull @NotEmpty public static final String INVALID_MSG_CTX
ID of the event returned if a `MessageContext` is missing or corrupt in some way.

See Also:
  - Constant Field Values

### INVALID_MESSAGE

@Nonnull @NotEmpty public static final String INVALID_MESSAGE
ID of the event returned if a message is invalid in some general way.

See Also:
  - Constant Field Values

### INVALID_MESSAGE_VERSION

@Nonnull @NotEmpty public static final String INVALID_MESSAGE_VERSION
ID of the event returned if a message version is incorrect or unsupported.

See Also:
  - Constant Field Values

### INVALID_SEC_CFG

@Nonnull @NotEmpty public static final String INVALID_SEC_CFG
ID of event returned if an error occurs with security configuration.

See Also:
  - Constant Field Values

### IO_ERROR

@Nonnull @NotEmpty public static final String IO_ERROR
ID of event returned if an I/O-related error occurs.

See Also:
  - Constant Field Values

### MESSAGE_AUTHN_ERROR

@Nonnull @NotEmpty public static final String MESSAGE_AUTHN_ERROR
ID of the event returned if a message can't be authenticated.

See Also:
  - Constant Field Values

### MESSAGE_EXPIRED

@Nonnull @NotEmpty public static final String MESSAGE_EXPIRED
ID of the event returned if a message is stale.

See Also:
  - Constant Field Values

### MESSAGE_PROC_ERROR

@Nonnull @NotEmpty public static final String MESSAGE_PROC_ERROR
ID of the event returned if the preparation of an outbound message fails in some way.

See Also:
  - Constant Field Values

### MESSAGE_REPLAY

@Nonnull @NotEmpty public static final String MESSAGE_REPLAY
ID of the event returned if a message is replayed.

See Also:
  - Constant Field Values

### RUNTIME_EXCEPTION

@Nonnull @NotEmpty public static final String RUNTIME_EXCEPTION
ID of the event returned if a runtime exception is caught.

See Also:
  - Constant Field Values

### UNABLE_TO_DECODE

@Nonnull @NotEmpty public static final String UNABLE_TO_DECODE
ID of the event returned if a `MessageDecoder` is unable to decode a message.

See Also:
  - Constant Field Values

### UNABLE_TO_ENCODE

@Nonnull @NotEmpty public static final String UNABLE_TO_ENCODE
ID of the event returned if a `MessageEncoder` is unable to encode a message.

See Also:
  - Constant Field Values

### UNABLE_TO_SIGN

@Nonnull @NotEmpty public static final String UNABLE_TO_SIGN
ID of the event returned if creation of a signature fails.

See Also:
  - Constant Field Values

### UNABLE_TO_ENCRYPT

@Nonnull @NotEmpty public static final String UNABLE_TO_ENCRYPT
ID of the event returned if encryption of an object/data fails.

See Also:
  - Constant Field Values

### PROCEED_EVENT_ID

@Nonnull @NotEmpty public static final String PROCEED_EVENT_ID
ID of an Event indicating that an action completed successfully and processing should move on to the next step.

See Also:
  - Constant Field Values

## Constructor Details

### EventIds

private EventIds()
Constructor.